<!doctype html>
<html class="no-js" lang="es">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>Gestión de festivos</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="../static/style.css" type="text/css" media="screen" />
    </head>
    <body>
        <div style="text-align: right; margin-top: 20px;">
            <a href="forms/holiday_create_form.php" class="create_btn" >Crear</a>
        </div>
        <table>
            <thead>
                <tr>
                    <th>Fecha</th>
                    <th>Tipo</th>
                    <th>Medico</th>
                    <th colspan="2">Acciones</th>
                </tr>
            </thead>
            <?php
            include 'database.php';

            $pdo = connectDatabase();

            $list = listHolidays($pdo);

            foreach($list as $row) :
            ?>
                <tr>
                    <td><?php echo $row[1]; ?></td>
                    <td><?php echo $row[2]; ?></td>
                    <td><?php echo $row[3]; ?></td>
                    <td>
                        <a href="forms/holiday_edit_form.php?edit=<?php echo $row[0]; ?>" class="edit_btn">Editar</a>
                    </td>
                    <td>
                        <a href="holiday_management.php?delete=<?php echo $row[0]; ?>" class="del_btn">Borrar</a>
                    </td>
                </tr>
            <?php endforeach ?>
            <?php closeDatabase($pdo); ?>
        </table>
    </body>
</html>
