<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Gestión de pacientes</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="../../static/style.css" type="text/css" media="screen" />
    <script src="../../static/jquery-3.5.1.min.js"></script>
    <script src="../ajax.js"></script>
    <script src="../validate_patient.js"></script>
</head>
<body>
    <?php
    include '../database.php';

    $pdo = connectDatabase();
    $regions = fetchRegions($pdo);
    ?>
    <form name="create_form" method="post" action="../patient_management.php" onsubmit="return validatePatient();">
        <div class="input-group">
            <label>Nombre</label>
            <input type="text" name="nombre" value="">
        </div>
        <div class="input-group">
            <label>Apellido</label>
            <input type="text" name="apellido" value="">
        </div>
        <div class="input-group">
            <label>fecha_de_nacimiento</label>
            <input type="date" name="fecha_de_nacimiento" value="">
        </div>
        <div class="input-group">
            <label>documento_identificativo</label>
            <input type="text" name="documento_identificativo" value="">
        </div>
        <div class="select-input">
            <label>tipo_documento</label>
            <select id="tipo_documento" name="tipo_documento">
                <option value="DNI">DNI</option>
                <option value="NIE">NIE</option>
            </select>
        </div>
        <div class="input-group">
            <label>direccion</label>
            <input type="text" name="direccion" value="">
        </div>
        <div class="input-group">
            <label>provincia</label>
            <select id="provincia" name="provincia">
                <?php foreach($regions as $row) : ?>
                    <option value="<?php echo $row[0]; ?>"><?php echo $row[1]; ?></option>
                <?php endforeach ?>
            </select>
        </div>
        <div class="input-group">
            <label>localidad</label>
            <select id="localidad" name="localidad">
                <option>Selecciona la localidad</option>
            </select>
        </div>
        <div class="input-group">
            <label>pais</label>
            <input type="text" name="pais" value="">
        </div>
        <div class="input-group">
            <button class="btn" type="submit" name="create">Guardar</button>
        </div>
    </form>
    <?php closeDatabase($pdo); ?>
</body>
